package examples;

/* Hello.java
 *
 * A simple test of jpvm message passing.
 *
 * Adam J Ferrari
 * Sun 05-26-1996
 *
 * Copyright (C) 1996  Adam J Ferrari
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 * 
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 675 Mass Ave, Cambridge,
 * MA 02139, USA.
 */

import jpvm.*;

class Hello
{
	static int	num_workers	= 1;

	public static void main(String args[])
	{
		try
		{
			// Enroll in the parallel virtual machine...
			JPVMEnvironment jpvm = new JPVMEnvironment();

			// Get my task id...
			JPVMTaskId mytid = jpvm.pvm_mytid();
			System.out.println("Task Id: " + mytid.toString());

			// Spawn some workers...
			JPVMTaskId tids[] = new JPVMTaskId[num_workers];
			jpvm.pvm_spawn("examples.HelloOther", num_workers, tids); // hier versucht er den Tasks auf n-worker zu verteilen...und wartet...

			System.out.println("Worker tasks: ");
			int i;
			for (i = 0; i < num_workers; i++)
				System.out.println("\t" + tids[i].toString());

			// Receive a message from each worker...
			for (i = 0; i < num_workers; i++)
			{
				// Receive a message...
				JPVMMessage message = jpvm.pvm_recv();
				System.out.println("Got message tag " + message.getMessageTag()
						+ " from " + message.getSourceTid().toString());

				// Unpack the message...
				String str = message.getBuffer().upkstr();

				System.out.println("Received: " + str);
			}

			// Exit from the parallel virtual machine
			jpvm.pvm_exit();
		}
		catch (JPVMException jpe)
		{
			System.out.println("Error - jpvm exception");
		}
	}
};
