package examples;

import java.io.IOException;

import jpvm.JPVMBuffer;
import jpvm.JPVMEnvironment;
import jpvm.JPVMException;
import jpvm.JPVMTaskId;

/* HelloOther.java
 *
 * A simple test of jpvm message passing.
 *
 * Adam J Ferrari
 * Sun 05-26-1996
 *
 * Copyright (C) 1996  Adam J Ferrari
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 * 
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 675 Mass Ave, Cambridge,
 * MA 02139, USA.
 */

class HelloOther
{
	public static void main(String args[])
	{
		try
		{
			// Enroll in the parallel virtual machine...
			JPVMEnvironment jpvm = new JPVMEnvironment();

			// Get my parent's task id...
			JPVMTaskId parent = jpvm.pvm_parent();

			// Send a message to my parent...
			JPVMBuffer buf = new JPVMBuffer();
			buf.pack("Hello from jpvm task, id: "+ jpvm.pvm_mytid().toString());
			jpvm.pvm_send(buf, parent, 12345);

			// Exit from the parallel virtual machine
			jpvm.pvm_exit();
		}
		catch (JPVMException jpe)
		{
			jpe.printStackTrace();
			System.out.println("Error - jpvm exception");
		}
	}
};
